Bug 1271187 - Provide filename of corrupted resources during KieBase build
Provide filename of corrupted resources during KieBase build
Status: ASSIGNED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: BRE (Show other bugs)
6.1.0
Unspecified Unspecified
high Severity unspecified
: ---
: ---
Assigned To: Kris Verlaenen
Marek Winkler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-13 06:57 EDT by Anton Giertli
Modified: 2016-01-08 17:16 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anton Giertli 2015-10-13 06:57:14 EDT
Description of problem:
When there are corrupted resources (processes, rules) then KieBase creation will of course fail. However, output from the build process does not include actual filenames of the corrupted resources - the more resources are being built, the harder it is to discover which one actual includes the mentioned error. 

See this example:

2015-09-28 00:45:50,075 ERROR [org.drools.compiler.kie.builder.impl.AbstractKieModule] - Unable to build KieBaseModel:defaultKieBase
2015-09-28 00:45:50,090 INFO (http-/10.208.154.13:80-7) [stdout] - ProcessLoadError: unable to parse xml : Exception class org.xml.sax.SAXParseException : <metaData> has an invalid parent element [SequenceFlow (_C637375F-F9B7-4FA6-BB81-65826505DB50) [_89F37978-7DA3-4D5D-8D5A-B6A36A19B426 -> _E2FCE161-86B3-47AE-8098-3F88610D5645]]

It is clear that the error lies with some BPMN process, but it is not clear which one is it.

Version-Release number of selected component (if applicable):
6.x

How reproducible:
always

Steps to Reproduce:
1. Try to build KieBase with corrupted resources

Actual results:

Error which is thrown during the build process does not include filenames of corrupted resource

Expected results:
Error which is thrown during the build process of KieBase does include filename of corrupted resource


Additional info:

Note You need to log in before you can comment on or make changes to this bug.